From 6602b5c9884d14b528d76f0d0f1f54413d641293 Mon Sep 17 00:00:00 2001
From: Thomas Spear <Speeddymon@gmail.com>
Date: Fri, 18 May 2007 09:22:46 -0500
Subject: [PATCH] uninstaller: shorten variable and attribute names for readability, as suggested by Peter Beutner

---
 programs/uninstaller/main.c |   22 ++++++++++++----------
 1 files changed, 12 insertions(+), 10 deletions(-)

diff --git a/programs/uninstaller/main.c b/programs/uninstaller/main.c
index f0c4fe3..11ea34f 100644
--- a/programs/uninstaller/main.c
+++ b/programs/uninstaller/main.c
@@ -190,6 +190,7 @@ static int FetchUninstallInformation(void)
     WCHAR subKeyName[256];
     WCHAR key_app[1024];
     WCHAR *p;
+    uninst_entry *entry;
   
     numentries = 0;
     oldsel = -1;
@@ -213,16 +214,17 @@ static int FetchUninstallInformation(void)
         {
             numentries++;
             entries = HeapReAlloc(GetProcessHeap(), 0, entries, numentries*sizeof(uninst_entry));
-            entries[numentries-1].key = HeapAlloc(GetProcessHeap(), 0, (lstrlenW(subKeyName)+1)*sizeof(WCHAR));
-            lstrcpyW(entries[numentries-1].key, subKeyName);
-            entries[numentries-1].descr = HeapAlloc(GetProcessHeap(), 0, displen);
-            RegQueryValueExW(hkeyApp, DisplayNameW, 0, 0, (LPBYTE)entries[numentries-1].descr, &displen);
-            entries[numentries-1].command = HeapAlloc(GetProcessHeap(), 0, uninstlen);
-            entries[numentries-1].active = 0;
-            RegQueryValueExW(hkeyApp, UninstallCommandlineW, 0, 0, (LPBYTE)entries[numentries-1].command, &uninstlen);
-            WINE_TRACE("allocated entry #%d: %s (%s), %s\n",
-            numentries, wine_dbgstr_w(entries[numentries-1].key), wine_dbgstr_w(entries[numentries-1].descr), wine_dbgstr_w(entries[numentries-1].command));
-            if(sFilter != NULL && StrStrIW(entries[numentries-1].descr,sFilter)==NULL)
+            entry = &entries[numentries-1];
+            entry->key = HeapAlloc(GetProcessHeap(), 0, (lstrlenW(subKeyName)+1)*sizeof(WCHAR));
+            lstrcpyW(entry->key, subKeyName);
+            entry->descr = HeapAlloc(GetProcessHeap(), 0, displen);
+            RegQueryValueExW(hkeyApp, DisplayNameW, 0, 0, (LPBYTE)entry->descr, &displen);
+            entry->command = HeapAlloc(GetProcessHeap(), 0, uninstlen);
+            entry->active = 0;
+            RegQueryValueExW(hkeyApp, UninstallCommandlineW, 0, 0, (LPBYTE)entry->command, &uninstlen);
+            WINE_TRACE("allocated entry #%d: %s (%s), %s\n", numentries, wine_dbgstr_w(entry->key),
+                       wine_dbgstr_w(entry->descr), wine_dbgstr_w(entry->command));
+            if(sFilter != NULL && StrStrIW(entry->descr,sFilter)==NULL)
                 numentries--;
         }
         RegCloseKey(hkeyApp);
-- 
1.5.1.3

